### Method

# Gdk Devicehas_bidi_layouts

#### Declaration [src]

    gboolean
    gdk_device_has_bidi_layouts (
      GdkDevice* device
    )

#### Description [src]

Determines if layouts for both right-to-left and left-to-right languages are in use on the keyboard.

This is only relevant for keyboard devices.

Gets property | `Gdk.Device:has-bidi-layouts`

#### Return value

Type: `gboolean`

`TRUE` if there are layouts with both directions, `FALSE` otherwise.